#!/usr/bin/env bash

setup_file(){
  load "$PWD/tests/integration/helpers/common"
  _common_setup
  _add_server
  _new_app
}

teardown_file(){
  _rm_server
}

setup(){
  load "$PWD/tests/integration/helpers/common"
  _common_setup
}

@test "validate app argument" {
  run $ABRA app upgrade
  assert_failure
  assert_output --partial 'no app provided'

  run $ABRA app upgrade DOESNTEXIST
  assert_failure
  assert_output --partial 'cannot find app'
}
